summaryrefslogtreecommitdiffstats
path: root/src/oh-installfiles.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/oh-installfiles.sh')
-rw-r--r--src/oh-installfiles.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/oh-installfiles.sh b/src/oh-installfiles.sh
index 9e3a7fa..8538d8f 100644
--- a/src/oh-installfiles.sh
+++ b/src/oh-installfiles.sh
@@ -52,7 +52,7 @@ main()
while IFS="${files_ifs}" read -r pattern; do
for file in "${dir}/"${pattern}; do
- [ -e "${file}" ] || continue
+ [ -e "${file}" -o -L "${file}" ] || continue
file="${file#${dir}}"
mkdir -p "${pkg}.data/${file%/*}"
# TODO: If file, ln file. If dir, recursively mkdir and ln.